<?php

if (!defined('LOG4PHP_DIR')) {
	define('LOG4PHP_DIR', dirname(__FILE__) . '/..');
}
 
require_once(LOG4PHP_DIR . '/LoggerAppenderSkeleton.php');
require_once(LOG4PHP_DIR . '/LoggerLog.php');

class LoggerAppenderCache extends LoggerAppenderSkeleton {

	var $messagesCache = array();
	var $requiresLayout = true;
	var $firstAppend    = true;

	function LoggerAppenderCache($name) {
		$this->LoggerAppenderSkeleton($name);
	}

	function activateOptions() { return; }

	function close() {
		if (!$this->firstAppend) {
			$footer = $this->layout->getFooter();
			if (!empty($footer)) {
				$this->messagesCache[] = $footer;
			}
		}
		$this->closed = true;
	}

	function append($event) {
		LoggerLog::debug("LoggerAppenderCache::append()");
		if ($this->layout !== null) {
			if ($this->firstAppend) {
				$header = $this->layout->getHeader();
				if (!empty($header)) {
					$this->messagesCache[] = $header;
				}
				$this->firstAppend = false;
			}
			$this->messagesCache[] = $this->layout->format($event);
		}
	}

	function getMessages() {
		return $this->messagesCache;
	}

}

?>